{% extends "shuup/front/base.jinja" %}
{% from "shuup/simple_cms/macros.jinja" import render_open_graph with context %}
{% from "shuup/simple_cms/macros/list_children.jinja" import list_children with context %}

{% block title %}{{ page.title }}{% endblock %}

{% block content_title %}
    {% if page.render_title %}
        {{ page.title }}
    {% endif %}
{% endblock %}

{% block extrameta %}
    {{ render_open_graph(page) }}
{% endblock %}

{% block breadcrumb %}
    <ol class="breadcrumb">
        <li><a href="/">{% trans %}Home{% endtrans %}</a></li>
        {% for ancestor in page.get_ancestors() if ancestor.is_visible() %}
            <li><a href="{{ url('shuup:cms_page', url=ancestor.url) }}">{{ ancestor.title }}</a></li>
        {% endfor %}
        <li class="active">{{ page.title }}</li>
    </ol>
{% endblock %}

{% block content %}
    {{ page.get_html()|safe }}

    {% placeholder "cms_page" %}{% endplaceholder %}

    {% if page.list_children_on_page %}
        {{ list_children(page) }}
    {% endif %}
{% endblock %}
